Package Details: notepadpp 8.1.2-1

Git Clone URL: https://aur.archlinux.org/notepadpp.git (read-only, click to copy)
Package Base: notepadpp
Description: A free source code editor for Windows (32-bit)
Upstream URL: https://notepad-plus-plus.org/
Keywords: notepad++ notepad-plus-plus
Licenses: GPL2
Conflicts: notepadpp-win32, notepadpp-win64
Provides: notepadpp
Submitter: n4r3n
Maintainer: n4r3n
Last Packager: n4r3n
Votes: 3
Popularity: 0.64
First Submitted: 2018-11-05 22:29
Last Updated: 2021-07-25 20:49

Latest Comments

huzhifeng commented on 2021-07-05 12:11

The latest 8.1-1 does not work.

[huzhifeng@archlinux ~]$ pacman -Q notepadpp
notepadpp 8.1-1
[huzhifeng@archlinux ~]$ notepadpp 
wine: failed to open "/home/huzhifeng/.local/share/notepadpp/notepadpp": c0000135

I made some changes to fix the problem, here is the patch.

[huzhifeng@archlinux notepadpp]$ git diff
diff --git a/notepadpp b/notepadpp
index d3ce6b1..881eda2 100644
--- a/notepadpp
+++ b/notepadpp
@@ -33,4 +33,4 @@ if [ -n "${1}" ]; then
 fi

 unset WINEPREFIX
-WINEDLLOVERRIDES="${WINEDLLOVERRIDES};mscoree=d;mshtml=d" WINEDEBUG=-all wine "${localdir}/${app_name}" "${argpath}"
+LC_ALL=zh_CN.UTF-8 WINEDLLOVERRIDES="${WINEDLLOVERRIDES};mscoree=d;mshtml=d" WINEDEBUG=-all wine "${localdir}/${app_name}.exe" "${argpath}"
[huzhifeng@archlinux notepadpp]$

electricprism commented on 2020-11-20 09:36

This is cool as a extra backup editor, I used to be fond of N++ back in the day thanks for making this easy.

bbx0 commented on 2020-10-18 08:54

Thanks a lot for making this package! I tried to build it in a chroot where the wine dependency could not be resolved (without multilib). After moving the dependencies directly to the package section everything went fine though (as they are just needed to run the software).

--- PKGBUILD.orig   2020-10-18 10:41:19.000000000 +0200
+++ PKGBUILD    2020-10-18 10:45:18.317272056 +0200
@@ -11,7 +11,7 @@
 url="https://${_pkgname}.org/"
 license=('GPL2')
 arch=('i686' 'x86_64')
-depends=('wine' 'sh' 'fuse-overlayfs')
+depends=()
 makedepends=('unzip')
 provides=(notepadpp)
 conflicts=('notepadpp-win32' 'notepadpp-win64')
@@ -41,6 +41,7 @@
 options=('!strip')

 package() {
+    depends=('wine' 'sh' 'fuse-overlayfs')

     install -d -m755 "${pkgdir}/usr/share/${pkgbase}"

n4r3n commented on 2020-02-25 18:09

I made some changes to the package:
- By default it builds the Win32 package with 'fuse-overlayfs' to merge package and user config (I removed the 'legacy' start script)

Default (from PKGBUILD):

#_arch=x64

n4r3n commented on 2018-11-26 16:36

I think, an own prefix is overkill, maybe a notepadpp-win32 (or lib32-notepadpp) split package would be a solution.

xDShot commented on 2018-11-26 15:50

A 64bit prefix is required for x86_64. Mine default one is 32-bit. I suggest using own prefix for the app.

xDShot commented on 2018-11-26 15:47

[xdshot@lenovo-pc ~]$ LANG=en notepadpp
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
wine: Bad EXE format for Z:\home\xdshot\.local\share\notepadpp\notepadpp..
[xdshot@lenovo-pc ~]$